aboutsummaryrefslogtreecommitdiffstats
path: root/tests/compress/t
diff options
context:
space:
mode:
Diffstat (limited to 'tests/compress/t')
-rw-r--r--tests/compress/t19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/compress/t b/tests/compress/t
new file mode 100644
index 0000000..5625761
--- /dev/null
+++ b/tests/compress/t
@@ -0,0 +1,19 @@
+for ((i = 0; i < 32; i++)); do
+ u="$(shuf -n1 -e "local" "remote")"
+ sample_message | deliver -u "$u"
+done
+
+# compression enabled by default
+interimap --debug || error
+grep -Fx "remote: C: 000001 COMPRESS DEFLATE" <"$STDERR" || error
+grep -E "^remote: S: 000001 OK( |$)" <"$STDERR" || error
+
+check_mailbox_status "INBOX"
+
+
+# can be disabled
+echo "compress = no" >>"$XDG_CONFIG_HOME/interimap/config"
+interimap --debug || error
+! grep -E "^remote: C: [^[:blank:]]+ COMPRESS DEFLATE$" <"$STDERR" || error
+
+# vim: set filetype=sh :